%global debug_package %{nil}

Name:       sirula
Version:    1.1.0
Release:    1%{?dist}
Summary:    Simple app launcher for wayland written in rust.

License:    GPLv3
URL:        https://github.com/DorianRudolph/sirula
Source0:    %{url}/archive/refs/tags/v%{version}.tar.gz

%if 0%{?el8}
%else
BuildRequires: cargo >= 1.39
BuildRequires: rust >= 1.39
%endif
BuildRequires: gtk3-devel
BuildRequires: gtk-layer-shell-devel
BuildRequires: libdbusmenu-gtk3-devel
BuildRequires: glib2-devel
BuildRequires: libdbusmenu-devel

Requires: gtk3
Requires: libdbusmenu
Requires: gtk-layer-shell
Requires: libdbusmenu-gtk3
Requires: glib2

%description
Sirula (simple rust launcher) is an app launcher for wayland. Currently, the only feature is launching apps from .desktop files. Feel free to submit pull requests for any feature you like.

%prep
%autosetup -p1

%build
cargo build --release

%install
install -Dm755 target/release/%{name} -t %{buildroot}%{_bindir}
strip --strip-all %{buildroot}%{_bindir}/*

%check
%if %{with test}
%{cargo_test}
%endif

%files
%license COPYING*
%doc README*
%{_bindir}/%{name}

%changelog
